/**
 * Program: BuildHistogram.js
 * --------------------------
 * This program reads a series of midterm scores
 * from a file and publishes a histogram to the console
 * window.  The scores are grouped 0-9, 10-19, etc,
 * and the final bucket is 90-100.
 */

function BuildHistogram() {
	let callback = function(text) {
		let lines = JSFileChooser.convertToLineArray(text);
		console.log("This is where I'll ultimately publish a histogram.");
	};
	JSFileChooser.chooseTextFile(callback);
}

/**
 * Function: createArray
 * ---------------------
 * Creates and returns an array with exactly
 * n copies of the provided value.
 */
function createArray(n, value) {
	let array = [];
	for (let i = 0; i < n; i++) {
		array.push(value);
	}
	return array;
}
